<?php
/*
 *      Copyright 2007 by Dag Erlandsson (langarod@gmail.com)
 *      This software is distributed under the GNU public license version 2

	Motion settings:
	All cameras must log jpeg images into directories with date with format %Y%m%d and
	with a filename start with %H%M%S e.g.
	jpeg_filename %Y%m%d/%H%M%S-%q

	All cameras must also be configured to have a separate diretory e.g. following structure

	Camera1/
		20070820/
			100820-00.jpg
			100820-01.jpg
		20070821/
			110902-00.jpg
	Camera2/
		20070820/
			110820-00.jpg
		20070821/

	image_root below must point to the root of the camera directories.
	
	printFeedProperties prints a java array with information of the Cameras and their directories, names etc.
		
*/

//$mode='applet';
$mode='browser';

$image_root = "/var/lib/motion";

function printFeedsProperties()
{
//        Dir      Name                 LiveUrl           ConfigUrl
  echo "['feed1', 'HuvudIngång',        '/motion/live/1', '/motion/config/1'],\n";
  echo "['feed2', 'Gårdsplan',          '/motion/live/2', '/motion/config/2'],\n";
  echo "['feed3', 'Traktorgarage',      '/motion/live/3', '/motion/config/3'],\n";
  echo "['feed4', 'VägTraktorgarage',   '/motion/live/4', '/motion/config/4'],\n";
  echo "['feed5', 'Väg',                '/motion/live/5', '/motion/config/5'],\n";
  echo "['feed6', 'Verkstad',           '/motion/live/6', '/motion/config/6'],\n";
  echo "['feed7', 'Sadelkammare',       '/motion/live/7', '/motion/config/7'],\n";
  echo "['feed8', 'Experimental',       '/motion/live/8', '/motion/config/8']\n";
}
?>
